Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 678884

Summary: net-analyzer/smokeping-2.7.3 should depend on >=net-analyzer/fping-3.16
Product: Gentoo Linux Reporter: nic <nic>
Component: Current packagesAssignee: Netmon Herd <netmon>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description nic 2019-02-27 00:50:57 UTC
smokeping 2.7.3 implemented changes which are incompatible with gentoo's stable fping 3.13

https://github.com/oetiker/SmokePing/commit/681457d0872057f79e2b2f97fa6ff8b6b415b48c


Upstream has since committed a workaround after smokeping-2.7.3 release to accommodate distributions still shipping older fping packages

https://github.com/oetiker/SmokePing/commit/56a054874d7974b49c7ba43e4c7510086453bce4


So we have a few options. If we want to wait until the next smokeping release number, this issue should be mitigated.

Otherwise. Please consider depending on a newer version of fping. I've tested with both 4.1 and latest 4.2 without issues.

 -       >=net-analyzer/fping-4.1[suid]
 +       >=net-analyzer/fping-2.4_beta2-r2[suid]

Thank you
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2019-02-27 10:57:22 UTC
(In reply to nic from comment #0)

> https://github.com/oetiker/SmokePing/commit/56a054874d7974b49c7ba43e4c7510086453bce4

"If an old binary is found when starting up our FPing probe, we'll
disable use of the new switches in order to maintain functionality to
users with older versions of fping."

Doesn't look like it's absolutely necessary.
Comment 2 nic 2019-03-28 01:47:25 UTC
> Doesn't look like it's absolutely necessary.

Unless I'm miss understanding the timeline, our 2.7.3 package is broken for that commit occurred after that point release.

Yes, I agree this will eventually be fixed in the next smokeping version release.
Comment 3 Larry the Git Cow gentoo-dev 2020-11-30 15:59:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fcf09e2d4104cdb793b3aecc6046f6bc9c964858

commit fcf09e2d4104cdb793b3aecc6046f6bc9c964858
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2020-11-30 15:57:22 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2020-11-30 15:57:22 +0000

    net-analyzer/fping: drop old
    
    * This intentionally drops hppa stable keywords.
    
    Closes: https://bugs.gentoo.org/678884
    Closes: https://bugs.gentoo.org/756982
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 net-analyzer/fping/Manifest                       |  6 ---
 net-analyzer/fping/fping-2.4_beta2_p161-r2.ebuild | 60 -----------------------
 net-analyzer/fping/fping-3.13.ebuild              | 26 ----------
 net-analyzer/fping/fping-4.0.ebuild               | 25 ----------
 net-analyzer/fping/fping-4.1.ebuild               | 29 -----------
 net-analyzer/fping/fping-4.2-r1.ebuild            | 36 --------------
 net-analyzer/fping/fping-4.2.ebuild               | 29 -----------
 7 files changed, 211 deletions(-)